
/***************************************************************************
  Stores measured temperature sensor voltage data in cellTemperature array
***************************************************************************/
void storeCellTemperature(uint8_t Data, uint8_t readRegisterData[29])
{
  for (int i = 0; i < NumModulesFound; i++)
  {
    int measTemperature = ((readRegisterData[3 + (i * 2)] << 4) + (readRegisterData[2 + (i * 2)] >> 4));


    if ((Data == 0x2E) && (moduleNTC3Select == false))
    {
      int temperature = (2450 - measTemperature) / 31; //Calculation for NTC2
      cellBlockTemp[i][1] = temperature;
    }
    else if ((Data == 0x2E) && (moduleNTC3Select == true))
    {
      int temperature = (2450 - measTemperature) / 31; // Calculation for NTC3
      cellBlockTemp[i][2] = temperature;
    }
    else if ((Data == 0x2D) && (moduleNTC3Select == false))
    {
      int temperature = (measTemperature - 1680) / 32; // Calculation for NTC1
      cellBlockTemp[i][0] = temperature;
    }
  }
}
