
/*********************************************************
  Stores measured cell voltage data in cellVoltage array
*********************************************************/
void storeCellVoltage(uint8_t dataRegister, uint8_t readRegisterData[29])
{

  uint8_t cellNumberOffset = dataRegister - 0x20;
  //Serial.println(cellNumberOffset);

  for (int i = 0; i < NumModulesFound; i++)
  {
    uint32_t measVoltage = ((readRegisterData[3 + (i * 2)] << 6) + (readRegisterData[2 + (i * 2)] >> 2));
    measVoltage = (measVoltage * 5000) / 16383;
    cellVoltageNew[i][cellNumberOffset] = measVoltage;

    // Serial.println("");
    // Serial.println(dataRegister);
    // Serial.println(measVoltage);
    // Serial.println("");

  }

}
