

/**********************************************
  Reads data from slaves and stores in arrays
**********************************************/

uint8_t readData()
{

  for (int i = 0; i < MAX_CELLS_PER_MODULE; i++)
  {
    if (CellsEnabled & (1 << i))
      readAllSlaves((0x20 + i), true); // Read CELL 0-11 of all slaves
  }



  readAllSlaves(0x2D, true); // Read AIN1 of all slaves (Cell temperature)
  readAllSlaves(0x2E, true); // Read AIN2 of all slaves (Cell temperature)
  readAllSlaves(0x50, true); // Read DIAG (Die temperature) of all slaves

}
