

void updateBatteryNotChargingStatus()
{
  // Set Alllow Discharge Status
  if ( CellData.MinVoltage.Voltage > lowVoltageCutOff)
  {
    Status |= statusAllowDischarge;
  }


  // Set Low Voltage Warning Flag
  if  (CellData.MinVoltage.Voltage < lowVoltageWarning)
  {
    if (watchdogLowVoltagePauseTimer == 0)
    {
      watchdogLowVoltagePauseTimer = millis();
    } else if ((CellData.MinVoltage.Voltage < lowVoltageWarning) & (millis() - watchdogLowVoltagePauseTimer >= 5000))
    {
      Status |= statusLowVoltage;
      statusToChargerLED = statusTCLEDLowVoltage;
      watchdogLowVoltagePauseTimer = 0;
    }
  }

  // Set Very Low Voltage Flag
  if  (CellData.MinVoltage.Voltage <= lowVoltageCutOff + 100)
  {
    if (watchdogVeryLowVoltagePauseTimer == 0)
    {
      watchdogVeryLowVoltagePauseTimer = millis();
    } else if ((CellData.MinVoltage.Voltage <= lowVoltageCutOff + 100) & (millis() - watchdogVeryLowVoltagePauseTimer >= 5000))
    {
      Status &= ~statusLowVoltage;
      Status |= statusVeryLowVoltage;
      watchdogVeryLowVoltagePauseTimer = 0;

    }

  }

  if  (CellData.MinVoltage.Voltage > lowVoltageWarning + cellHysteresis)
  {
    watchdogLowVoltagePauseTimer = 0;
    Status &= ~statusLowVoltage;
  }

  if  (CellData.MinVoltage.Voltage > lowVoltageCutOff + 100 + cellHysteresis )
  {
    watchdogVeryLowVoltagePauseTimer = 0;
    Status &= ~statusVeryLowVoltage;

  }
    if (BMSSOC > 20)
{
  statusToChargerLED &= ~statusTCLEDLowVoltage;
  statusToChargerLED &= ~statusTCLEDVeryLowVoltage;
}

  if ((BMSSOC <= 20) &(BMSSOC > 10))
{
  statusToChargerLED = statusTCLEDLowVoltage;
 
}
  if (BMSSOC <= 10) 
{
  statusToChargerLED = statusTCLEDVeryLowVoltage;
}

}
