
/***************************************************************
  Stores measured die temperature data in dieTemperature array
***************************************************************/
void storeDieTemperature(uint8_t readRegisterData[29])
{

  for (int i = 0; i < NumModulesFound; i++)
  {
    uint16_t measTemperature = ((readRegisterData[3 + (i * 2)] << 8) + readRegisterData[2 + (i * 2)]);
    measTemperature = (measTemperature >> 2) * (uint32_t)230700 / 5029581;
    dieTemperature[i] = measTemperature - (int16_t)273;

  }
}
